Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.util
Class RandomAccessFileIOBuffer

    java.lang.Object
      java.io.RandomAccessFile
          rice.p2p.util.RandomAccessFileIOBuffer

All Implemented Interfaces:
  java.io.Closeable, java.io.DataInput, java.io.DataOutput, InputBuffer, OutputBuffer

    public class RandomAccessFileIOBuffer

extends java.io.RandomAccessFile
implements InputBuffer, OutputBuffer

Field Summary

Fields inherited from interface rice.p2p.commonapi.rawserialization.InputBuffer
`UNKNOWN`

Constructor Summary
`RandomAccessFileIOBuffer(java.io.File file, java.lang.String mode)`
`RandomAccessFileIOBuffer(java.lang.String name, java.lang.String mode)`

Method Summary
`int` | `bytesRemaining()` How much data is left in the InputBuffer.
`void` | `writeByte(byte v)`
`void` | `writeChar(char v)`
`void` | `writeShort(short v)`

Methods inherited from class java.io.RandomAccessFile
`close, getChannel, getFD, getFilePointer, length, read, read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, seek, setLength, skipBytes, write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface rice.p2p.commonapi.rawserialization.InputBuffer
`read, read, readBoolean, readByte, readChar, readDouble, readFloat, readInt, readLong, readShort, readUTF`

Methods inherited from interface rice.p2p.commonapi.rawserialization.OutputBuffer
`write, writeBoolean, writeDouble, writeFloat, writeInt, writeLong, writeUTF`

Constructor Detail

### RandomAccessFileIOBuffer

    public RandomAccessFileIOBuffer(java.io.File file,
                                    java.lang.String mode)
                             throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

### RandomAccessFileIOBuffer

    public RandomAccessFileIOBuffer(java.lang.String name,
                                    java.lang.String mode)
                             throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

Method Detail

### bytesRemaining

    public int bytesRemaining()

  Description copied from interface: `InputBuffer`
  How much data is left in the InputBuffer. May be UNKNOWN

  Specified by:
    `bytesRemaining` in interface `InputBuffer`
  Specified by:
    `bytesRemaining` in interface `OutputBuffer`

### writeByte

    public void writeByte(byte v)
                   throws java.io.IOException

  Specified by:
    `writeByte` in interface `OutputBuffer`
  Throws:
    `java.io.IOException`

### writeChar

    public void writeChar(char v)
                   throws java.io.IOException

  Specified by:
    `writeChar` in interface `OutputBuffer`
  Throws:
    `java.io.IOException`

### writeShort

    public void writeShort(short v)
                    throws java.io.IOException

  Specified by:
    `writeShort` in interface `OutputBuffer`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.